[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Installing SLIB 3b1 with Guile 1.8.6 (to work with Gnucash 2.8.8) [SOLV

From: Tom Browder
Subject: Installing SLIB 3b1 with Guile 1.8.6 (to work with Gnucash 2.8.8) [SOLVED]
Date: Tue, 27 Jan 2009 17:29:23 -0600

I have successfully gotten slib version 3b1 to work with guile 1.8.6.
The following instructions from paragraph 6.6.1 of the guile 1.8.6
have been corrected according to my experience (Centos 5.2, x86_64):

[Note that instructions need to be updated to work with slib 3b1; note also
that the link to the SLIB installation is broken.]


6.1.1 SLIB installation

The following procedure works, e.g., with SLIB version 3b1 (see SLIB

   1. Unpack SLIB and install it using make install from its directory. By
      default, this will install SLIB in /usr/local/lib/slib/. Running make
      installinfo installs its documentation, by default under

   2. Create a symlink in the Guile directory to SLIB, e.g.:

                mkdir -p /usr/local/share/guile/site
                ln -s /usr/local/lib/slib /usr/local/share/guile/site/slib

   3. Use Guile to create the catalog file, e.g.,:

                # guile
                guile> (use-modules (ice-9 slib))
                guile> (require 'new-catalog)
                guile> (quit)

      The catalog data should now be in /usr/local/share/guile/site/slibcat.

      If instead you get an error such as:

          Unbound variable: scheme-implementation-type

      then a solution is to get a newer version of Guile, or to modify
ice-9/slib.scm to use define-public for the offending variables.

   4. Test the installation by executing the following at the command line:

                guile -c "(use-modules (ice-9 slib)) (require 'printf)"


Notice that the instructions for setting environment variables, for
some reason, did not work for me.  I have seen several other threads
from other folks who have had the same experience, i.e., environment
variables not working.

Notice also that the directory /usr/local/share/guile/site was not
produced during the guile installation, and putting the slib directory
under /usr/local/share/guile/1.8 didn't work either.

I hope someday to know enough about the two packages to find out why
the interface is not more robust.

Good luck slib users, especially those trying to install gnucash from source!



Tom Browder
Niceville, Florida

reply via email to

[Prev in Thread] Current Thread [Next in Thread]